#include <QtGui/QImage>
#include <QtCore/QTime>
#include <QtCore/QDebug>
#include <QtGui/QApplication>
#include <QtGui/QLabel>
#include <QtGui/QPixmap>

#include "scale.h"

int main( int argc, char* argv[] )
    {
    QApplication app( argc, argv );
    QImage im( 1000, 800, QImage::Format_RGB32 );
    im.fill( QColor( Qt::red ).rgb());
    QTime t;
    t.start();
    QImage im1 = im.scaled( 500, 400, Qt::IgnoreAspectRatio, Qt::SmoothTransformation );
    qDebug() << "T1:" << t.elapsed() << endl;
    t.start();
    QImage im2 = ImageUtils::scale( im, 500, 400 );
    qDebug() << "T2:" << t.elapsed() << endl;
    QLabel l1;
    QLabel l2;
    l1.setPixmap( QPixmap::fromImage( im1 ));
    l2.setPixmap( QPixmap::fromImage( im2 ));
    l1.show();
    l2.show();
    return app.exec();
    }
